Skip to content

Custom Entity Trigger

Configure triggers that run when custom entity data changes. Supports fetching triggers by ID or with pagination, creating, updating, patching, and deleting triggers.

Fetch custom entity triggers by ID or list with pagination.

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Comma-separated list of trigger IDs

pageNumberstring

Page number (0-based)

pageSizestring

Page size

entityTypestring

Entity type for filtering

triggerTypestring

Trigger type for filtering

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/trigger?id=string&pageNumber=string&pageSize=string&entityType=string&triggerType=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Custom entity trigger id

entityTypestring

Type of entity on which its applicable

typestring

Type of trigger: Script, Rule Or Workflow

whenArray of strings

When to fire this trigger: on record create, update or delete

criteriaobject(Filter)

Entry criteria for the trigger to fire on an entity

actionstring

Depending upon type: it will have script, rule id or workflow definition id

enabledboolean

If this trigger is enabled

createdTimeinteger, (int64)

Created time for the custom entity trigger

modifiedTimeinteger, (int64)

Last modified time for the custom entity trigger

]
Response
[ { "id": "string", "entityType": "string", "type": "string", "when": [ … ], "criteria": { … }, "action": "string", "enabled": true, "createdTime": 0, "modifiedTime": 0 } ]